Subject: Re: [PATCH 1/1] send-email: allow to compose only prepared cover letter

From: Andy Shevchenko <[email-masked]>
Date: Wed, 14 Oct 2015 12:42:19 +0300

On Tue, 2015-10-13 at 14:11 -0700, Junio C Hamano wrote:
> Andy Shevchenko <[email-masked]> writes:
> 
> > My often use case is to do:
> > 	% git format-patch --cover-letter --subject-prefix="PATCH 
> > vN" rev1^..revXYZ
> > 	% $GIT_EDITOR 0000-*
> > 	% git send-email 00* # assumes series less than 100 
> > patches
> > 	% rm -f 00*
> 
> I guess this patch would not hurt too much, but the above would
> vastly be improved if you used "-vN" option, instead of the
> hand-rolled subject prefix, and dropped the last "rm -f" (which in
> turn would mean you would want to use -o option to specify where to
> keep the older iterations of the topic).  Then you can easily refer
> to cover letters and patches from previous rounds while preparing
> the latest to send out.

Thanks!

The patch I sent was a modification of previous variant I have. It
unfortunately misses undef $compose; line in the first conditional
branch.

Besides that I found that --annotate might be a workaround and it comes
a burden of editor how to avoid editing every patch but first.

-- 
Andy Shevchenko <[email-masked]>
Intel Finland Oy